CMAP_s Struct Reference

Font character map structure. More...

`#include <font.h>`

## Data Fields

u16 | codeBegin
| First Unicode codepoint the block applies to.
u16 | codeEnd
| Last Unicode codepoint the block applies to.
u16 | mappingMethod
| Mapping method.
u16 | reserved
CMAP_s * | next
| Pointer to the next map.
union {
u16 indexOffset
| For CMAP_TYPE_DIRECT: index of the first glyph.
u16 indexTable [0]
| For CMAP_TYPE_TABLE: table of glyph indices.
struct {
u16 nScanEntries
| Number of pairs.
struct {
u16 code
| Unicode codepoint.
u16 glyphIndex
| Mapped glyph index.
} scanEntries [0]
| Mapping pairs.
} |
| For CMAP_TYPE_SCAN: Mapping data.
}; |

## Detailed Description

Font character map structure.

Font character map type.

The documentation for this struct was generated from the following file:

- include/3ds/font.h